function opts = getOpts()
    
    % DLST tracker model path
    opts.model = '/media/zjjconan/Experiments/Tracking_Community/DLST-VOT17/models/tracker.mat';
    
    % Use/not GPU
    opts.useGpu = true;
    
    % Show tracking results and learning details
    opts.verbose = false;
     
    % Use/not BB regression
    opts.useBBReg = true;
    
    % The number of bbox used in regression
    opts.numSamplesBBReg = 1000;
    
    % The learning rate for all nets (locNet and clfNet)
    opts.learningRate = 0.003;
    
    % Setting for learning network in the initial frame
    opts.initMaxIters = 30;
    opts.initNumPos = 500;
    opts.initNumNeg = 5000;
    opts.initPosThre = 0.7;
    opts.initNegThre = 0.5;
    
    % Learning setting for update
    opts.updateMaxIters = 10;
    opts.updateNumPos = 50;
    opts.updateNumNeg = 200;
    opts.updatePosThre = 0.7;
    opts.updateNegThre = 0.3;
    
    % Training samples collection setting
    opts.updateLongPeriod = 100;
    opts.updateShortPeriod = 20;
    opts.updateInterval = 10;
    
    % Path Crop setting
    opts.inputSize = 107;
    opts.cropMode = 'wrap';
    opts.cropPadding = 16;
    
    % Object state
    opts.numCandidates = 256;
    opts.scaleFactor = 1.05;
    opts.transF = 0.6;
    opts.scaleF = 1;
    
    % LocNet training setting
    opts.locBatchSize = 8;
    opts.locContext = 4;
    opts.locTotalStride = 2;
    opts.locR = 16;
    opts.labelSize = 51;
    
    % ClfNet training setting
    opts.clfBatchSize = 128;
    opts.clfBatchPos = 32;
    opts.clfBatchNeg = 96;
    
    % Forward batch size
    opts.testBatchSize = 128;
end
