function [regions, labels, instanceWeights, cropInfo] = getSearchRegions(image, samples, opts)

    regions = zeros(opts.inputSize, opts.inputSize, 3, size(samples, 1), 'single');
    labels = zeros(opts.labelSize, opts.labelSize, 1, size(samples, 1), 'single');
    instanceWeights = zeros(opts.labelSize, opts.labelSize, 1, size(samples, 1), 'single');

    for i = 1:size(samples, 1)
        [regions(:,:,:,i), alignedSample, cropInfo] = Utility.getSearchRegion(image, samples(i, :), opts);
        center = alignedSample(1:2) + alignedSample(3:4) / 2;
        [labels(:,:,:,i), instanceWeights(:,:,:,i)] = ...
            Utility.getLabels([opts.labelSize opts.labelSize], ...
                              center / opts.locTotalStride, ...
                              opts.locR / opts.locTotalStride);
    end

end

