function [patch, bbox, info] = getSearchRegion(image, bbox, opts)
    
    % crop image
    [patch, offset, impad] = DLST.contextCropImage(image, bbox, opts.locContext);
    
    % resize image and bbox
    [h, w, ~] = size(patch);
    imageSize = [opts.inputSize, opts.inputSize];
    scale = imageSize ./ [w h];
    
    info.offset = offset;
    info.scale = scale;
    info.impad = impad;
    
    bbox = Utility.getAlignedBBox(bbox, info);
    patch = cv.resize(patch, imageSize);
end