function run_DLST
    
    cleanup = onCleanup(@() exit() );

    RandStream.setGlobalStream(RandStream('mt19937ar', 'Seed', sum(clock)));
    
    setupDLST;
         
    traxserver('setup', 'rectangle', {'path'});

    state = [];

    while true

        [image, region] = traxserver('wait');

        if isempty(image)
            break;
        end;
        
        im = Utility.readImage(image);

        if ~isempty(region)
            state = DLST_initialize(im, region);
        else
            state = DLST_update(im, state);
        end
        
        if isempty(state.region)
            state.region = [0, 0, 1, 1];
        end
        
        traxserver('status', double(state.region));
    end

    if state.opts.useGpu
        state.lnet.feat.move('cpu');
        state.lnet.trac.move('cpu');
        state.cnet.feat.move('cpu');
        state.cnet.trac.move('cpu');
    end
    
    traxserver('quit');
    
end